theme = ['fsetit']

baseURL = 'https://fs-etit.kit.edu'

enableGitInfo = true

defaultContentLanguage = 'de'

enableRobotsTXT = true

ignoreLogs = ['warning-goldmark-raw-html']

[frontmatter]
date = [':filename', 'date', ':git', 'lastmod', ':fileModTime']
lastmod = [':git', 'lastmod', ':filename', 'date']
expiryDate = ['expiryDate']
publishDate = ['publishDate', ':filename', 'date']

[languages]
# localized content inside languages.xx.toml

[menus]
# localized content inside menus.xx.toml

[module]
[[module.imports]]
path = "github.com/gohugoio/hugo-mod-bootstrap-scss/v5"

[[module.imports]]
path = "gitlab.kit.edu/kit/fs-etit/www-ag/website-modules/available-minutes"
disable = false
[[module.imports.mounts]]
source = "content/de"
target = "content/"
lang = "de"
[[module.imports.mounts]]
source = "content/en"
target = "content/"
lang = "en"
[[module.imports.mounts]]
source = "layouts"
target = "layouts"
[[module.imports.mounts]]
source = "assets"
target = "assets"
[[module.imports.mounts]]
source = "i18n"
target = "i18n"
[[module.imports.mounts]]
source = "static"
target = "static"

[[module.imports]]
path = "gitlab.kit.edu/kit/fs-etit/www-ag/website-modules/calendar"
disable = false
[[module.imports.mounts]]
source = "content/de"
target = "content/"
lang = "de"
[[module.imports.mounts]]
source = "content/en"
target = "content/"
lang = "en"
[[module.imports.mounts]]
source = "layouts"
target = "layouts"
[[module.imports.mounts]]
source = "assets"
target = "assets"
[[module.imports.mounts]]
source = "i18n"
target = "i18n"

[[module.imports]]
path = "gitlab.kit.edu/kit/fs-etit/www-ag/website-modules/timetables"
disable = false
[[module.imports.mounts]]
source = "content/de"
target = "content/"
lang = "de"
[[module.imports.mounts]]
source = "content/en"
target = "content/"
lang = "en"
[[module.imports.mounts]]
source = "layouts"
target = "layouts"
[[module.imports.mounts]]
source = "data"
target = "data"

[[module.imports]]
path = "github.com/lipis/flag-icons"
disable = false
[[module.imports.mounts]]
source = "sass"
target = "assets/scss"
[[module.imports.mounts]]
source = "flags"
target = "static/images/flags"

[params]
seoDescription = "Die offizielle Website der Fachschaft Elektro- und Informationstechnik am Karlsruher Institut für Technologie."

gitServer = 'gitlab.kit.edu'
gitPath = 'kit/fs-etit/www-ag/website'
gitBranch = 'main'

MinutesApiUrl = "https://protokolle.fs-etit.kit.edu"
